REM The original FM-Towns executables contain some code that was assembled
REM on an FM-Towns itself but I don't have the necessary assembler software.
REM This batch file must be executed on PC to build object and library files
REM that are similar to the ones used in the original executables

ECHO +====================================================================+
ECHO + Build ReDMCSB object and library files for FM-Towns                +
ECHO +====================================================================+
ECHO +====================================================================+>>\BUILD\MKIF.LOG
ECHO + Build ReDMCSB object and library files for FM-Towns                +>>\BUILD\MKIF.LOG
ECHO +====================================================================+>>\BUILD\MKIF.LOG
CD \SOURCE

SET PATH=\TASM40

MKDIR \OBJECT\F20M
MKDIR \OBJECT\F31M

ECHO ----- F20M Assemble TDMASM.ASM
ECHO ----- F20M Assemble TDMASM.ASM>>\BUILD\MKIF.LOG
TASM32.EXE TDMASM.ASM,\OBJECT\F20M\TDMASM.OBJ >>\BUILD\MKIF.LOG
ECHO ----- F20M Make custom library TDMASM.LIB
ECHO ----- F20M Make custom library TDMASM.LIB>>\BUILD\MKIF.LOG
TLIB.EXE \OBJECT\F20M\TDMASM.LIB   +\OBJECT\F20M\TDMASM.OBJ >>\BUILD\MKIF.LOG
ECHO ----- F31M Assemble TANIDASM.ASM
ECHO ----- F31M Assemble TANIDASM.ASM>>\BUILD\MKIF.LOG
TASM32.EXE TANIDASM.ASM,\OBJECT\F31M\TANIDASM.OBJ >>\BUILD\MKIF.LOG
ECHO ----- F31M Assemble TANIMASM.ASM
ECHO ----- F31M Assemble TANIMASM.ASM>>\BUILD\MKIF.LOG
TASM32.EXE TANIMASM.ASM,\OBJECT\F31M\TANIMASM.OBJ >>\BUILD\MKIF.LOG
ECHO ----- F31M Assemble TCHTWASM.ASM
ECHO ----- F31M Assemble TCHTWASM.ASM>>\BUILD\MKIF.LOG
TASM32.EXE TCHTWASM.ASM,\OBJECT\F31M\TCHTWASM.OBJ >>\BUILD\MKIF.LOG
ECHO ----- F31M Make custom library TCHTWASM.LIB
ECHO ----- F31M Make custom library TCHTWASM.LIB>>\BUILD\MKIF.LOG
TLIB.EXE \OBJECT\F31M\TCHTWASM.LIB +\OBJECT\F31M\TCHTWASM.OBJ >>\BUILD\MKIF.LOG
ECHO ----- F31M Assemble TUTILASM.ASM
ECHO ----- F31M Assemble TUTILASM.ASM>>\BUILD\MKIF.LOG
TASM32.EXE TUTILASM.ASM,\OBJECT\F31M\TUTILASM.OBJ >>\BUILD\MKIF.LOG
ECHO ----- F31M Make custom library TUTILASM.LIB
ECHO ----- F31M Make custom library TUTILASM.LIB>>\BUILD\MKIF.LOG
TLIB.EXE \OBJECT\F31M\TUTILASM.LIB +\OBJECT\F31M\TUTILASM.OBJ >>\BUILD\MKIF.LOG

ECHO +====================================================================+
ECHO + Build complete                                                     +
ECHO +====================================================================+
ECHO +====================================================================+>>\BUILD\MKIF.LOG
ECHO + Build complete                                                     +>>\BUILD\MKIF.LOG
ECHO +====================================================================+>>\BUILD\MKIF.LOG
